Skip to main content
GET
/
v1
/
control
/
actions
List control actions for the tenant
curl --request GET \
  --url https://api.trulayer.ai/v1/control/actions \
  --header 'Authorization: Bearer <token>'
{
  "actions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "action_type": "retry",
      "status": "pending",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payload": {},
      "result": {},
      "executed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Query Parameters

trace_id
string<uuid>
cursor
string
limit
integer
default:50
Required range: 1 <= x <= 100
from
string<date-time>

RFC3339 lower bound on created_at (inclusive). Optional.

to
string<date-time>

RFC3339 upper bound on created_at (inclusive). Optional. Must be >= from when both are set.

Response

Control action list

actions
object[]
required
has_more
boolean
required
next_cursor
string | null